CUDNN Frontend API 8.3.0

Public Member Functions | Private Attributes | List of all members
cudnn_frontend::ReductionDescBuilder_v8 Class Reference

`#include <cudnn_frontend_ReductionDesc.h>`

Collaboration diagram for cudnn_frontend::ReductionDescBuilder_v8:

## Public Member Functions
auto | setMathPrecision (cudnnDataType_t data_type_) -> ReductionDescBuilder_v8 &
| Set Math Precision Data Type for the Reduction Operation. More...
auto | setReductionOp (cudnnReduceTensorOp_t op_) -> ReductionDescBuilder_v8 &
| Set redution operator for the Reduction Operation. More...
ReductionDesc_v8 && | build ()
| ReductionDescBuilder_v8 ()=default
| ~ReductionDescBuilder_v8 ()=default
| ReductionDescBuilder_v8 (ReductionDescBuilder_v8 &&)=delete
| ReductionDescBuilder_v8 (ReductionDescBuilder_v8 const &)=delete
ReductionDescBuilder_v8 & | operator= (ReductionDescBuilder_v8 const &)=delete

## Private Attributes
ReductionDesc_v8 | m_reductionDesc

## Detailed Description

ReductionDescBuilder_v8 Class Helper class used to build ReductionDesc_v8 class

Definition at line 78 of file cudnn_frontend_ReductionDesc.h.

## Constructor & Destructor Documentation

## ◆ ReductionDescBuilder_v8() [1/3]

cudnn_frontend::ReductionDescBuilder_v8::ReductionDescBuilder_v8 | ( |  | ) |
| explicit default

## ◆ ~ReductionDescBuilder_v8()

cudnn_frontend::ReductionDescBuilder_v8::~ReductionDescBuilder_v8 | ( |  | ) |
| default

## ◆ ReductionDescBuilder_v8() [2/3]

cudnn_frontend::ReductionDescBuilder_v8::ReductionDescBuilder_v8 | ( | ReductionDescBuilder_v8 && |  | ) |
| delete

## ◆ ReductionDescBuilder_v8() [3/3]

cudnn_frontend::ReductionDescBuilder_v8::ReductionDescBuilder_v8 | ( | ReductionDescBuilder_v8 const & |  | ) |
| delete

## Member Function Documentation

## ◆ build()

ReductionDesc_v8&& cudnn_frontend::ReductionDescBuilder_v8::build | ( |  | ) |
| inline

constructs the ReductionDesc_v8 by calling the cudnn API Throws the appropriate error message

Definition at line 101 of file cudnn_frontend_ReductionDesc.h.

References cudnn_frontend::getLogger(), cudnn_frontend::ReductionDesc_v8::operator=(), cudnn_frontend::ReductionDesc_v8::ReductionDescBuilder_v8, cudnn_frontend::set_error_and_throw_exception(), and cudnn_frontend::BackendDescriptor::status.

## ◆ operator=()

ReductionDescBuilder_v8& cudnn_frontend::ReductionDescBuilder_v8::operator= | ( | ReductionDescBuilder_v8 const & |  | ) |
| delete

## Member Data Documentation

## ◆ m_reductionDesc

ReductionDesc_v8 cudnn_frontend::ReductionDescBuilder_v8::m_reductionDesc
| private

Definition at line 157 of file cudnn_frontend_ReductionDesc.h.

The documentation for this class was generated from the following file:

- cudnn_frontend_ReductionDesc.h